Package org.eclipse.emf.cdo

# Interface CDOObjectReference

All Superinterfaces:
  `CDOReference<CDOObject>`

public interface CDOObjectReference extends CDOReference<CDOObject>
Represents a `CDOObject` typed reference from one object to another object.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOReference

`NO_INDEX`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`getSourceID()`
`CDOID`
`getTargetID()`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOReference

`getSourceFeature, getSourceIndex, getSourceObject, getSourceReference, getTargetObject`

## Method Details

### getTargetID

CDOID getTargetID()

Since:
  4.6

### getSourceID

CDOID getSourceID()

Since:
  4.6